> ## Documentation Index > Fetch the complete documentation index at: https://support.fortanix.com/llms.txt > Use this file to discover all available pages before exploring further. # Get details of a particular compute cluster > Get details of a particular compute cluster ## OpenAPI ````json GET /v1/clusters/{cluster-id} { "openapi": "3.0.4", "info": { "title": "Confidential Computing Manager", "description": "Fortanix Confidential Computing Manager Backend. These are APIs using which the frontend and other clients (compute node agents) interact with Fortanix Confidential Computing Manager functionalities, which include compute node and app enrollment, attestation and signing, and Certificate Authority.", "termsOfService": "https://www.fortanix.com/legal/terms/", "contact": { "name": "Fortanix Support", "url": "https://support.fortanix.com/hc/en-us/categories/360003107511-Confidential-Computing-Manager", "email": "support@fortanix.com" }, "license": { "name": "Apache 2.0", "url": "http://www.apache.org/licenses/LICENSE-2.0.html" }, "version": "2.0.0" }, "servers": [ { "url": "https://ccm.fortanix.com" } ], "paths": { "/v1/clusters/{cluster-id}": { "get": { "tags": [ "ComputeClusters" ], "summary": "Get details of a particular compute cluster", "description": "Get details of a particular compute cluster", "operationId": "getComputeClusters", "parameters": [ { "$ref": "#/components/parameters/ComputeClusterId" } ], "responses": { "200": { "description": "Details of a cluster", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ComputeClusterResponse" } } } } }, "security": [ { "bearerToken": [] } ], "x-auth-resource": "Reader,Writer,Manager" } } }, "components": { "parameters": { "ComputeClusterId": { "name": "cluster-id", "in": "path", "description": "UUID of a compute cluster", "required": true, "schema": { "type": "string", "format": "uuid" } } }, "schemas": { "ComputeClusterResponse": { "required": [ "cluster_id", "name", "description", "created_by" ], "type": "object", "properties": { "cluster_id": { "type": "string", "format": "uuid" }, "name": { "type": "string" }, "description": { "type": "string" }, "created_by": { "type": "string", "format": "uuid" }, "kubernetes": { "$ref": "#/components/schemas/KubernetesClusterInfo" }, "aci": { "$ref": "#/components/schemas/AciClusterInfo" } } }, "KubernetesClusterInfo": { "required": [ "cluster", "server", "user" ], "type": "object", "properties": { "cluster": { "type": "string" }, "server": { "type": "string" }, "user": { "type": "string" } } }, "AciClusterInfo": { "required": [ "subscription", "resource_group" ], "type": "object", "properties": { "subscription": { "type": "string", "format": "uuid" }, "resource_group": { "type": "string" }, "deployment_location": { "type": "string" } } } }, "securitySchemes": { "bearerToken": { "type": "apiKey", "description": "A JWT bearer token to be passed once authenticated.", "name": "Authentication", "in": "header" } } } } ````